# -- Site Configuration --
# Refer to the theme docs for more details about each of these parameters.
# https://nunocoracao.github.io/blowfish/docs/getting-started/

theme = ["hugo-admonitions", "blowfish"]
baseURL = "https://wiki.wompmacho.com/"
defaultContentLanguage = "en"
relativeURLs = true

enableRobotsTXT = true
summaryLength = 5

buildDrafts = true
buildFuture = true
enableEmoji = true

# googleAnalytics = "G-XXXXXXXXX"

[taxonomies]
  tag = "tags"
  category = "categories"
  author = "authors"
  series = "series"

[sitemap]
  changefreq = 'daily'
  filename = 'sitemap.xml'
  priority = 0.5

[outputs]
  home = ["HTML", "RSS", "JSON"]

[frontmatter]
  # Hugo will check for 'lastmod' in the file first, 
  # then the Git commit date, then the 'date' field.
  lastmod = ["lastmod", ":git", "date"]

# Required if you want to use the Git commit date automatically
enableGitInfo = true

[markup.tableOfContents]
  endLevel = 3
  ordered = false
  startLevel = 2

[module]
  [[module.mounts]]
    source = "content"
    target = "content"
  [[module.mounts]]
    source = "/srv/docs/private"
    target = "content/private"
  [[module.mounts]]
    source = "/srv/configs"
    target = "content/configs"
